
public class HashCodeDemo
{
    public static void main(String[] args)
    {
        Integer i1 = 4;
        Integer i2 = 5;
	Double  d1 = 4.0;
	Double  d2 = 5.0;
	String  s1 = "A";
	String  s2 = "AB";
	Entry<String,String> a1 = new Entry<>("cs171", "cheung");
	Entry<String,String> a2 = new Entry<>("cs255", "cheung");

        System.out.println("i1 = "+i1 +"  i1.hashCode() = "+i1.hashCode() );
        System.out.println("i2 = "+i2 +"  i2.hashCode() = "+i2.hashCode() );
        System.out.println("d1 = "+d1 +"  d1.hashCode() = "+d1.hashCode() );
        System.out.println("d2 = "+d2 +"  d2.hashCode() = "+d2.hashCode() );
        System.out.println("s1 = "+s1 +"  s1.hashCode() = "+s1.hashCode() );
        System.out.println("s2 = "+s2 +"  s2.hashCode() = "+s2.hashCode() );
        System.out.println("a1 = "+a1 +"  a1.hashCode() = "+a1.hashCode() );
        System.out.println("a2 = "+a2 +"  a2.hashCode() = "+a2.hashCode() );
    }
}

